{
 "cells": [
  {
   "cell_type": "markdown",
   "id": "worldwide-blood",
   "metadata": {},
   "source": [
    "# Introduction"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "understanding-numbers",
   "metadata": {},
   "source": [
    "*✏️ Write 2-3 sentences describing your research.*"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "greater-circular",
   "metadata": {},
   "source": [
    "## Overarching Question: [✏️ PUT YOUR QUESTION HERE ✏️]"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "appreciated-testimony",
   "metadata": {},
   "source": [
    "*✏️ Write 2-3 sentences explaining why this question.*"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "permanent-pollution",
   "metadata": {},
   "source": [
    "# Data"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 10,
   "id": "technical-evans",
   "metadata": {},
   "outputs": [],
   "source": [
    "#Include any import statements you will need\n",
    "import pandas as pd\n",
    "import matplotlib.pyplot as plt"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 11,
   "id": "overhead-sigma",
   "metadata": {
    "scrolled": true
   },
   "outputs": [],
   "source": [
    "### 💻 FILL IN YOUR DATASET FILE NAME BELOW 💻 ###\n",
    "\n",
    "file_name = \"modern_RAPTOR_by_player.csv\"\n",
    "dataset_path = \"data/\" + file_name\n",
    "\n",
    "df = pd.read_csv(dataset_path)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 12,
   "id": "heated-blade",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<style scoped>\n",
       "    .dataframe tbody tr th:only-of-type {\n",
       "        vertical-align: middle;\n",
       "    }\n",
       "\n",
       "    .dataframe tbody tr th {\n",
       "        vertical-align: top;\n",
       "    }\n",
       "\n",
       "    .dataframe thead th {\n",
       "        text-align: right;\n",
       "    }\n",
       "</style>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>player_name</th>\n",
       "      <th>player_id</th>\n",
       "      <th>season</th>\n",
       "      <th>poss</th>\n",
       "      <th>mp</th>\n",
       "      <th>raptor_box_offense</th>\n",
       "      <th>raptor_box_defense</th>\n",
       "      <th>raptor_box_total</th>\n",
       "      <th>raptor_onoff_offense</th>\n",
       "      <th>raptor_onoff_defense</th>\n",
       "      <th>...</th>\n",
       "      <th>raptor_offense</th>\n",
       "      <th>raptor_defense</th>\n",
       "      <th>raptor_total</th>\n",
       "      <th>war_total</th>\n",
       "      <th>war_reg_season</th>\n",
       "      <th>war_playoffs</th>\n",
       "      <th>predator_offense</th>\n",
       "      <th>predator_defense</th>\n",
       "      <th>predator_total</th>\n",
       "      <th>pace_impact</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>0</th>\n",
       "      <td>Alex Abrines</td>\n",
       "      <td>abrinal01</td>\n",
       "      <td>2017</td>\n",
       "      <td>2387</td>\n",
       "      <td>1135</td>\n",
       "      <td>0.745505</td>\n",
       "      <td>-0.372938</td>\n",
       "      <td>0.372567</td>\n",
       "      <td>-0.418553</td>\n",
       "      <td>-3.857011</td>\n",
       "      <td>...</td>\n",
       "      <td>0.543421</td>\n",
       "      <td>-1.144832</td>\n",
       "      <td>-0.601411</td>\n",
       "      <td>1.249008</td>\n",
       "      <td>1.447708</td>\n",
       "      <td>-0.198700</td>\n",
       "      <td>0.077102</td>\n",
       "      <td>-1.038677</td>\n",
       "      <td>-0.961575</td>\n",
       "      <td>0.326413</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>Alex Abrines</td>\n",
       "      <td>abrinal01</td>\n",
       "      <td>2018</td>\n",
       "      <td>2546</td>\n",
       "      <td>1244</td>\n",
       "      <td>0.317549</td>\n",
       "      <td>-1.725325</td>\n",
       "      <td>-1.407776</td>\n",
       "      <td>-1.291727</td>\n",
       "      <td>-0.049694</td>\n",
       "      <td>...</td>\n",
       "      <td>-0.020826</td>\n",
       "      <td>-1.502642</td>\n",
       "      <td>-1.523468</td>\n",
       "      <td>0.777304</td>\n",
       "      <td>0.465912</td>\n",
       "      <td>0.311392</td>\n",
       "      <td>-0.174621</td>\n",
       "      <td>-1.112625</td>\n",
       "      <td>-1.287247</td>\n",
       "      <td>-0.456141</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>Alex Abrines</td>\n",
       "      <td>abrinal01</td>\n",
       "      <td>2019</td>\n",
       "      <td>1279</td>\n",
       "      <td>588</td>\n",
       "      <td>-3.215683</td>\n",
       "      <td>1.078399</td>\n",
       "      <td>-2.137285</td>\n",
       "      <td>-6.158856</td>\n",
       "      <td>4.901168</td>\n",
       "      <td>...</td>\n",
       "      <td>-4.040157</td>\n",
       "      <td>1.885618</td>\n",
       "      <td>-2.154538</td>\n",
       "      <td>0.178167</td>\n",
       "      <td>0.178167</td>\n",
       "      <td>0.000000</td>\n",
       "      <td>-4.577678</td>\n",
       "      <td>1.543282</td>\n",
       "      <td>-3.034396</td>\n",
       "      <td>-0.268013</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>Precious Achiuwa</td>\n",
       "      <td>achiupr01</td>\n",
       "      <td>2021</td>\n",
       "      <td>1581</td>\n",
       "      <td>749</td>\n",
       "      <td>-4.122966</td>\n",
       "      <td>1.359278</td>\n",
       "      <td>-2.763688</td>\n",
       "      <td>-4.050779</td>\n",
       "      <td>-0.919712</td>\n",
       "      <td>...</td>\n",
       "      <td>-4.347596</td>\n",
       "      <td>0.954821</td>\n",
       "      <td>-3.392775</td>\n",
       "      <td>-0.246055</td>\n",
       "      <td>-0.246776</td>\n",
       "      <td>0.000721</td>\n",
       "      <td>-3.817713</td>\n",
       "      <td>0.474828</td>\n",
       "      <td>-3.342885</td>\n",
       "      <td>0.329157</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>Precious Achiuwa</td>\n",
       "      <td>achiupr01</td>\n",
       "      <td>2022</td>\n",
       "      <td>3802</td>\n",
       "      <td>1892</td>\n",
       "      <td>-2.521510</td>\n",
       "      <td>1.763502</td>\n",
       "      <td>-0.758008</td>\n",
       "      <td>-1.687893</td>\n",
       "      <td>3.103441</td>\n",
       "      <td>...</td>\n",
       "      <td>-2.517372</td>\n",
       "      <td>2.144151</td>\n",
       "      <td>-0.373221</td>\n",
       "      <td>2.262658</td>\n",
       "      <td>2.309611</td>\n",
       "      <td>-0.046953</td>\n",
       "      <td>-2.483956</td>\n",
       "      <td>2.024360</td>\n",
       "      <td>-0.459596</td>\n",
       "      <td>-0.728609</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "<p>5 rows × 21 columns</p>\n",
       "</div>"
      ],
      "text/plain": [
       "        player_name  player_id  season  poss    mp  raptor_box_offense  \\\n",
       "0      Alex Abrines  abrinal01    2017  2387  1135            0.745505   \n",
       "1      Alex Abrines  abrinal01    2018  2546  1244            0.317549   \n",
       "2      Alex Abrines  abrinal01    2019  1279   588           -3.215683   \n",
       "3  Precious Achiuwa  achiupr01    2021  1581   749           -4.122966   \n",
       "4  Precious Achiuwa  achiupr01    2022  3802  1892           -2.521510   \n",
       "\n",
       "   raptor_box_defense  raptor_box_total  raptor_onoff_offense  \\\n",
       "0           -0.372938          0.372567             -0.418553   \n",
       "1           -1.725325         -1.407776             -1.291727   \n",
       "2            1.078399         -2.137285             -6.158856   \n",
       "3            1.359278         -2.763688             -4.050779   \n",
       "4            1.763502         -0.758008             -1.687893   \n",
       "\n",
       "   raptor_onoff_defense  ...  raptor_offense  raptor_defense  raptor_total  \\\n",
       "0             -3.857011  ...        0.543421       -1.144832     -0.601411   \n",
       "1             -0.049694  ...       -0.020826       -1.502642     -1.523468   \n",
       "2              4.901168  ...       -4.040157        1.885618     -2.154538   \n",
       "3             -0.919712  ...       -4.347596        0.954821     -3.392775   \n",
       "4              3.103441  ...       -2.517372        2.144151     -0.373221   \n",
       "\n",
       "   war_total  war_reg_season  war_playoffs  predator_offense  \\\n",
       "0   1.249008        1.447708     -0.198700          0.077102   \n",
       "1   0.777304        0.465912      0.311392         -0.174621   \n",
       "2   0.178167        0.178167      0.000000         -4.577678   \n",
       "3  -0.246055       -0.246776      0.000721         -3.817713   \n",
       "4   2.262658        2.309611     -0.046953         -2.483956   \n",
       "\n",
       "   predator_defense  predator_total  pace_impact  \n",
       "0         -1.038677       -0.961575     0.326413  \n",
       "1         -1.112625       -1.287247    -0.456141  \n",
       "2          1.543282       -3.034396    -0.268013  \n",
       "3          0.474828       -3.342885     0.329157  \n",
       "4          2.024360       -0.459596    -0.728609  \n",
       "\n",
       "[5 rows x 21 columns]"
      ]
     },
     "execution_count": 12,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "df.head()"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "continental-franklin",
   "metadata": {},
   "source": [
    "**Data Overview**\n",
    "\n",
    "*✏️ Write 2-3 sentences describing this dataset. Be sure to include where the data comes from and what it contains.*"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "infinite-instrument",
   "metadata": {},
   "source": [
    "# Methods and Results"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "basic-canadian",
   "metadata": {},
   "outputs": [],
   "source": [
    "#Import any helper files you need here"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "recognized-positive",
   "metadata": {},
   "source": [
    "## First Research Question: [✏️ PUT YOUR QUESTION HERE ✏️]\n"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "graduate-palmer",
   "metadata": {},
   "source": [
    "### Methods"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "endless-variation",
   "metadata": {},
   "source": [
    "*Explain how you will approach this research question below. Consider the following:* \n",
    "  - *Which aspects of the dataset will you use?* \n",
    "  - *How will you reorganize/store the data?* \n",
    "  - *What data science tools/functions will you use and why?* \n",
    "  \n",
    "✏️ *Write your answer below:*\n",
    "\n"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "portuguese-japan",
   "metadata": {},
   "source": [
    "### Results "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 17,
   "id": "negative-highlight",
   "metadata": {},
   "outputs": [],
   "source": [
    "#######################################################################\n",
    "### 💻 YOUR WORK GOES HERE TO ANSWER THE FIRST RESEARCH QUESTION 💻 \n",
    "### \n",
    "### Your data analysis may include a statistic and/or a data visualization\n",
    "#######################################################################"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 16,
   "id": "victorian-burning",
   "metadata": {},
   "outputs": [],
   "source": [
    "# 💻 YOU CAN ADD NEW CELLS WITH THE \"+\" BUTTON "
   ]
  },
  {
   "cell_type": "markdown",
   "id": "collectible-puppy",
   "metadata": {},
   "source": [
    "## Second Research Question: [✏️ PUT YOUR QUESTION HERE ✏️]\n"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "demographic-future",
   "metadata": {},
   "source": [
    "### Methods"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "incorporate-roller",
   "metadata": {},
   "source": [
    "*Explain how you will approach this research question below. Consider the following:* \n",
    "  - *Which aspects of the dataset will you use?* \n",
    "  - *How will you reorganize/store the data?* \n",
    "  - *What data science tools/functions will you use and why?* \n",
    "\n",
    "✏️ *Write your answer below:*\n"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "juvenile-creation",
   "metadata": {},
   "source": [
    "### Results "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 14,
   "id": "pursuant-surrey",
   "metadata": {},
   "outputs": [],
   "source": [
    "#######################################################################\n",
    "### 💻 YOUR WORK GOES HERE TO ANSWER THE SECOND RESEARCH QUESTION 💻 \n",
    "###\n",
    "### Your data analysis may include a statistic and/or a data visualization\n",
    "#######################################################################"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 15,
   "id": "located-night",
   "metadata": {},
   "outputs": [],
   "source": [
    "# 💻 YOU CAN ADD NEW CELLS WITH THE \"+\" BUTTON "
   ]
  },
  {
   "cell_type": "markdown",
   "id": "infectious-symbol",
   "metadata": {},
   "source": [
    "# Discussion"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "furnished-camping",
   "metadata": {
    "code_folding": []
   },
   "source": [
    "## Considerations"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "bearing-stadium",
   "metadata": {},
   "source": [
    "*It's important to recognize the limitations of our research.\n",
    "Consider the following:*\n",
    "\n",
    "- *Do the results give an accurate depiction of your research question? Why or why not?*\n",
    "- *What were limitations of your datset?*\n",
    "- *Are there any known biases in the data?*\n",
    "\n",
    "✏️ *Write your answer below:*"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "beneficial-invasion",
   "metadata": {},
   "source": [
    "## Summary"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "about-raise",
   "metadata": {},
   "source": [
    "*Summarize what you discovered through the research. Consider the following:*\n",
    "\n",
    "- *What did you learn about your media consumption/digital habits?*\n",
    "- *Did the results make sense?*\n",
    "- *What was most surprising?*\n",
    "- *How will this project impact you going forward?*\n",
    "\n",
    "✏️ *Write your answer below:*"
   ]
  }
 ],
 "metadata": {
  "jupytext": {
   "cell_metadata_json": true,
   "text_representation": {
    "extension": ".Rmd",
    "format_name": "rmarkdown",
    "format_version": "1.2",
    "jupytext_version": "1.9.1"
   }
  },
  "kernelspec": {
   "display_name": "Python 3 (ipykernel)",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.12.3"
  },
  "toc": {
   "base_numbering": 1,
   "nav_menu": {},
   "number_sections": false,
   "sideBar": true,
   "skip_h1_title": false,
   "title_cell": "Table of Contents",
   "title_sidebar": "Contents",
   "toc_cell": false,
   "toc_position": {},
   "toc_section_display": true,
   "toc_window_display": false
  },
  "varInspector": {
   "cols": {
    "lenName": 16,
    "lenType": 16,
    "lenVar": 40
   },
   "kernels_config": {
    "python": {
     "delete_cmd_postfix": "",
     "delete_cmd_prefix": "del ",
     "library": "var_list.py",
     "varRefreshCmd": "print(var_dic_list())"
    },
    "r": {
     "delete_cmd_postfix": ") ",
     "delete_cmd_prefix": "rm(",
     "library": "var_list.r",
     "varRefreshCmd": "cat(var_dic_list()) "
    }
   },
   "types_to_exclude": [
    "module",
    "function",
    "builtin_function_or_method",
    "instance",
    "_Feature"
   ],
   "window_display": false
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
